EM FHPort/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "L'objet FHPort est basé sur les deux FHNodes existants entre lesquels il créera un port FastHenry.")
(Created page with "# Sélectionnez deux 16px FHNode objets # Appuyez sur le bouton {{Button|16px EM FHPort}} ou...")
Line 22: Line 22:
L'objet FHPort est basé sur les deux FHNodes existants entre lesquels il créera un port FastHenry.
L'objet FHPort est basé sur les deux FHNodes existants entre lesquels il créera un port FastHenry.


# Select two [[Image:EM_FHNode.svg|24px]] [[EM_FHNode|FHNode]] objects
# Sélectionnez deux [[Image:EM_FHNode.svg|16px]] [[EM_FHNode/fr|FHNode]] objets
# Press the {{Button|[[Image:EM_FHPort.svg|16px]] [[EM_FHPort|EM FHPort]]}} button, or press {{KEY|E}} then {{KEY|P}} keys.
# Appuyez sur le bouton {{Button|[[Image:EM_FHPort.svg|16px]] [[EM_FHPort/fr|EM FHPort]]}} ou appuyez sur les touches {{KEY|E}} puis {{KEY|P}}.


===Remarks:===
===Remarks:===

Revision as of 14:54, 18 July 2020

Other languages:

EM FHPort

Emplacement du menu
EM → FHPort
Ateliers
EM (Addon)
Raccourci par défaut
E P
Introduit dans la version
0.17
Voir aussi
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHEquiv,

Description

L'outil FHPort crée un port FastHenry entre deux objets FHNode.

FastHenry FHPort

Utilisation

L'objet FHPort est basé sur les deux FHNodes existants entre lesquels il créera un port FastHenry.

  1. Sélectionnez deux FHNode objets
  2. Appuyez sur le bouton EM FHPort ou appuyez sur les touches E puis P.

Remarks:

  • The first node you select is the positive node of the port, and the arrow that is the shape of the FHPort object will point in this direction.

Properties

  • DonnéesNodePos: the positive FHNode of the FastHenry port
  • DonnéesNodeNeg: the negative FHNode of the FastHenry port

Scripting

See also: FreeCAD Scripting Basics.

The FHPort object can be used in macros and from the Python console by using the following function:

port = makeFHPort(nodePos=None,nodeNeg=None,name='FHPort')
  • Creates a FHPort object.
  • nodePos is the positive node FHNode object of the FastHenry port.
  • nodeNeg is the negative node FHNode object of the FastHenry port.
  • name is the name of the object

Example:

import FreeCAD, EM

fhnode_p = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode_n = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhport = EM.makeFHPort(fhnode_p, fhnode_n)